GNU bug report logs - #37556
gpg "-unknown" version string

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juanma Barranquero <lekktu@HIDDEN>; Keywords: patch fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 37556 <at> debbugs.gnu.org and Juanma Barranquero <lekktu@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 13 Oct 2019 03:01:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 12 23:01:17 2019
Received: from localhost ([127.0.0.1]:34665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJU8B-0004P3-A1
	for submit <at> debbugs.gnu.org; Sat, 12 Oct 2019 23:01:17 -0400
Received: from quimby.gnus.org ([80.91.231.51]:47286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iJU89-0004Os-9k
 for 37556 <at> debbugs.gnu.org; Sat, 12 Oct 2019 23:01:13 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iJU84-0003gT-Ai; Sun, 13 Oct 2019 05:01:12 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#37556: gpg "-unknown" version string
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
Date: Sun, 13 Oct 2019 05:01:08 +0200
In-Reply-To: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 (Juanma Barranquero's message of "Mon, 30 Sep 2019 00:59:18 +0200")
Message-ID: <875zkte4cr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juanma Barranquero <lekktu@HIDDEN> writes: > This commit
 > > commit 42ba6200af10c00c72ac13912d6fb42a7af88058 > Author: Lars
 Ingebrigtsen
 <larsi@HIDDEN> > Date: 2019-08-26 08:02:31 +0200 > > Allow finding gpg2
 binaries when gpg2 has an "unkno [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: 37556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juanma Barranquero <lekktu@HIDDEN> writes:

> This commit
>
>    commit 42ba6200af10c00c72ac13912d6fb42a7af88058
>    Author: Lars Ingebrigtsen <larsi@HIDDEN>
>    Date:   2019-08-26 08:02:31 +0200
>
>        Allow finding gpg2 binaries when gpg2 has an "unknown" version string
>
>        * lisp/epg-config.el (epg-find-configuration): Allow finding a
>        usable configuration even if the version string looks like "gpg
>        (GnuPG) 2.2.15-unknown" (bug#35629).
>
> fixes one function, but there are other uses of version-related
> functions in epg, for example

I've now reverted this patch, and pushed the more general
version-regexp-alist patch.  I rated -unknown as -alpha -- there was
some discussion about whether that's best, but no conclusion was
reached, really.  It can be tweaked later if that's problematic.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 1 Oct 2019 14:59:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 10:59:30 2019
Received: from localhost ([127.0.0.1]:34326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFJcg-0001KK-CJ
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 10:59:30 -0400
Received: from snd00001.auone-net.jp ([111.86.247.1]:38915
 helo=dmta0007.auone-net.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kzhr@HIDDEN>) id 1iFJcc-0001K4-4b
 for 37556 <at> debbugs.gnu.org; Tue, 01 Oct 2019 10:59:29 -0400
Received: from kzhr.d1.dion.ne.jp by dmta0007.auone-net.jp with ESMTP
 id <20191001145922804.JFLJ.13377.kzhr.d1.dion.ne.jp@HIDDEN>;
 Tue, 1 Oct 2019 23:59:22 +0900
Date: Tue, 01 Oct 2019 23:59:20 +0900
Message-ID: <86h84so6k7.wl--xmue@HIDDEN>
From: Kazuhiro Ito <kzhr@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Newsgroups: gmane.emacs.bugs
Subject: Re: bug#37556: gpg "-unknown" version string
In-Reply-To: <87sgoc8y67.fsf@HIDDEN>
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN> <837e5qdzim.fsf@HIDDEN>
 <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
 <85imp9kgj1.fsf@HIDDEN> <875zl9dewa.fsf@HIDDEN>
 <85ftkdkfjv.fsf@HIDDEN> <87sgoc8y67.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/27.0
 (x86_64-w64-mingw32) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: Juanma Barranquero <lekktu@HIDDEN>, Noam Postavsky <npostavs@HIDDEN>,
 37556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> >>> I don't understand why making -unknown equivalent to a lesser version
> >>> makes sense.  Shouldn't 2.2.17 and 2.2.17-unknown in fact be equal?
> >>
> >> Should they?  2.2.17-pre and 2.2.17-alpha should be less than 2.2.17,
> >> but how do we know that -unknown isn't something -alpha-ish?
> >
> > It's "unknown", so it could be something opposite-of-alpha-ish too,
> > right?  On average, 0 seems right.
> 
> That's possible.  Does anybody know how usual these -unknown things are,
> and why they exist?

I don't know "why", but I described when the suffix was added in the
past post.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35629#11

> GnuPG's autogen.sh makes "-unknown" suffix version configure script if
> source code directory doesn't have .git directory.

If you have the repository, autogen.sh can set an apropriate revision
number.  I guess "-unknown" version means "unknown version" literally,
because they couldn't decide the source code revision without
repository.

-- 
Kazuhiro Ito




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 1 Oct 2019 12:09:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 08:09:44 2019
Received: from localhost ([127.0.0.1]:60970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFGyO-0003Rc-5L
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 08:09:44 -0400
Received: from quimby.gnus.org ([80.91.231.51]:49144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iFGyM-0003RU-92
 for 37556 <at> debbugs.gnu.org; Tue, 01 Oct 2019 08:09:42 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iFGyH-0002Hh-CZ; Tue, 01 Oct 2019 14:09:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#37556: gpg "-unknown" version string
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN> <837e5qdzim.fsf@HIDDEN>
 <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
 <85imp9kgj1.fsf@HIDDEN> <875zl9dewa.fsf@HIDDEN>
 <85ftkdkfjv.fsf@HIDDEN>
Date: Tue, 01 Oct 2019 14:09:36 +0200
In-Reply-To: <85ftkdkfjv.fsf@HIDDEN> (Noam Postavsky's message of "Mon, 30
 Sep 2019 10:46:28 -0400")
Message-ID: <87sgoc8y67.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Noam Postavsky <npostavs@HIDDEN> writes: > Lars
 Ingebrigtsen
 <larsi@HIDDEN> writes: > >>> I don't understand why making -unknown
 equivalent
 to a lesser version >>> makes sense. Shouldn't 2.2.17 and 2.2.17-unknown
 in fact be equal? >> >> Sh [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: Juanma Barranquero <lekktu@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 37556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>>> I don't understand why making -unknown equivalent to a lesser version
>>> makes sense.  Shouldn't 2.2.17 and 2.2.17-unknown in fact be equal?
>>
>> Should they?  2.2.17-pre and 2.2.17-alpha should be less than 2.2.17,
>> but how do we know that -unknown isn't something -alpha-ish?
>
> It's "unknown", so it could be something opposite-of-alpha-ish too,
> right?  On average, 0 seems right.

That's possible.  Does anybody know how usual these -unknown things are,
and why they exist?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 30 Sep 2019 14:46:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 10:46:36 2019
Received: from localhost ([127.0.0.1]:60085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEwwd-0003Ce-Ny
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 10:46:36 -0400
Received: from mail-io1-f53.google.com ([209.85.166.53]:46081)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1iEwwc-000380-IY
 for 37556 <at> debbugs.gnu.org; Mon, 30 Sep 2019 10:46:34 -0400
Received: by mail-io1-f53.google.com with SMTP id c6so38855963ioo.13
 for <37556 <at> debbugs.gnu.org>; Mon, 30 Sep 2019 07:46:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=vL5vj0oFluqhErmd5za511nOIRd0vBLxEEl5meKnnlU=;
 b=oR5G1uCtwQD0xDTNUAtzIYZAE/8MwCPd7hYhuYLQX1324B8PHAywb/QkX5MOOsKw0z
 Kb+URfDer3qvZaVJJjBj1XxGqS4vAZODUwkmfyk375E2WoflqSG88/S7A9Y60o+2XjHc
 9145vdGM62sR8V+H+7yNVXlNq1O0xGHePjFqR2HXDFKchsXjYtGU0ikXz87OZmELSrUP
 pVbWq0dOeLsUDFYFb8PHlxHTDhYpIeZvkkwnrxqJioufnHHRsXMFajanmOlZWVxhCI17
 a4W1AXc3Qi3gl0x/b4gWD3wCNE5AMlskHQY6GpbAMIS7ecj1q46RuUX6zHjvASTCa/cY
 lA6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=vL5vj0oFluqhErmd5za511nOIRd0vBLxEEl5meKnnlU=;
 b=d1/rJFcZtf0RypIMUnBtZazTUFUszm2N0wS8PgR3s1IdLilxaJ/A5zv+N+QILj2NSE
 rz4U1KVGOeOJNMm7avq/aWLU2R7nVzl/3CiJTZRoZczI+/vnU5brAYNejHVoBUdoIgmL
 aQmL9cWUvaEMvOSqGTMNfUDgDLGD2UCGPBfupwvBqUwv4PmyvizjP9YTNIz3RrgaEptT
 EMPHl2Mf5n+jxnXbPOOcALNvzeIRlq0EFpY4240iKbbUVJSS9Q22SNiKylF+FBBKZIK3
 qmTDYBE+Tm0Fs/Vkz2MMlKrR2UH0NBB2Sg4g3c1tBu9uYmRUEfbo56eypmUH39e2HQ8B
 7H+A==
X-Gm-Message-State: APjAAAU/8ktb25TXntpIBrwhj6xjRFLWOBhjI74BpIJ5S+Wtojbb+6bQ
 +xctYHkRzuZza/12qYZySRUI+fdk
X-Google-Smtp-Source: APXvYqzWVtdb2CxcfGfUxnHPLUHKQTri4K85x0GPyz1JSWsBWve0nJd4WmZVTG7FiASJ8KviYwd1/Q==
X-Received: by 2002:a6b:7102:: with SMTP id q2mr557067iog.154.1569854788715;
 Mon, 30 Sep 2019 07:46:28 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id t4sm4430073ili.8.2019.09.30.07.46.27
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 30 Sep 2019 07:46:28 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#37556: gpg "-unknown" version string
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN> <837e5qdzim.fsf@HIDDEN>
 <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
 <85imp9kgj1.fsf@HIDDEN> <875zl9dewa.fsf@HIDDEN>
Date: Mon, 30 Sep 2019 10:46:28 -0400
In-Reply-To: <875zl9dewa.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 30 Sep 2019 16:42:29 +0200")
Message-ID: <85ftkdkfjv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: Juanma Barranquero <lekktu@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 37556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> I don't understand why making -unknown equivalent to a lesser version
>> makes sense.  Shouldn't 2.2.17 and 2.2.17-unknown in fact be equal?
>
> Should they?  2.2.17-pre and 2.2.17-alpha should be less than 2.2.17,
> but how do we know that -unknown isn't something -alpha-ish?

It's "unknown", so it could be something opposite-of-alpha-ish too,
right?  On average, 0 seems right.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 30 Sep 2019 14:42:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 10:42:37 2019
Received: from localhost ([127.0.0.1]:60066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEwsn-0001jK-36
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 10:42:37 -0400
Received: from quimby.gnus.org ([80.91.231.51]:54746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iEwsj-0001j9-0n
 for 37556 <at> debbugs.gnu.org; Mon, 30 Sep 2019 10:42:35 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iEwsf-0002N1-QV; Mon, 30 Sep 2019 16:42:32 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#37556: gpg "-unknown" version string
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN> <837e5qdzim.fsf@HIDDEN>
 <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
 <85imp9kgj1.fsf@HIDDEN>
Date: Mon, 30 Sep 2019 16:42:29 +0200
In-Reply-To: <85imp9kgj1.fsf@HIDDEN> (Noam Postavsky's message of "Mon, 30
 Sep 2019 10:25:22 -0400")
Message-ID: <875zl9dewa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Noam Postavsky <npostavs@HIDDEN> writes: > Juanma
 Barranquero
 <lekktu@HIDDEN> writes: > >>> If this is somehow related to gpg, maybe
 we should chop that before >>> we invoke the version-comparison functions,
 in gpg-related Lisp files >>> [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: Juanma Barranquero <lekktu@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 37556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Noam Postavsky <npostavs@HIDDEN> writes:

> Juanma Barranquero <lekktu@HIDDEN> writes:
>
>>> If this is somehow related to gpg, maybe we should chop that before
>>> we invoke the version-comparison functions, in gpg-related Lisp files
>>> only?
>>
>> Chopping would mean that 2.2.17 and 2.2.17-unknown are equal, but currently
>> 2.2.17-unknown (in epg) is less than 2.2.17.
>
> I don't understand why making -unknown equivalent to a lesser version
> makes sense.  Shouldn't 2.2.17 and 2.2.17-unknown in fact be equal?

Should they?  2.2.17-pre and 2.2.17-alpha should be less than 2.2.17,
but how do we know that -unknown isn't something -alpha-ish?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 30 Sep 2019 14:25:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 10:25:31 2019
Received: from localhost ([127.0.0.1]:60030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEwcE-0007dh-P9
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 10:25:30 -0400
Received: from mail-io1-f51.google.com ([209.85.166.51]:41001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1iEwcD-0007dT-Az
 for 37556 <at> debbugs.gnu.org; Mon, 30 Sep 2019 10:25:29 -0400
Received: by mail-io1-f51.google.com with SMTP id n26so10280940ioj.8
 for <37556 <at> debbugs.gnu.org>; Mon, 30 Sep 2019 07:25:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=VO/wGTK3KA6JGR/Z1LkgMCramiJd9IYeXvgYlmsb4no=;
 b=K5rVdR6FLR0277U0MPFGyJ9xbwkvZGytFNy8qytBrDs9XFK8Zs8AnTvwFaqU4GValj
 4IJ9fqiKtlfc6SqKCfCla/9OkOvxpO8o4SGhyLlmaiW1uTEN+vPADamzbNB/elYZ81j3
 toPMesETt0LsfModO5156ZyrAbB7G1Gv9OSoJ3miCJZe4sdBhJ9fLpThQF8Mniy4zC+F
 G8fGP2Y6WELo8jnxPzqPckTtPfQAfOgAl8Bmmem6ywcAP6sZwKA2N420x/ZIDqr6MEDC
 P273mK27ika1nnI1CF3RlQHLMTKvzJcvXJLqg7QKkhaXgVEdv0aPzfbMSBpg51QXnar+
 OheA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=VO/wGTK3KA6JGR/Z1LkgMCramiJd9IYeXvgYlmsb4no=;
 b=t0ORJxGUTG2Hai8/Jl6sNgCudL314+ibZjTuW6Q3ZpuuKX3F7JaRsxttwhZT43yLdr
 3mQg9GVB+oXN+FVGq/HDybKwwiYLv/yEjKuEFPz10dJ5qtCQHvgP2dVVN8BMTGqZR9q8
 Rie8HdgQCtErkpp5gu7ik0PoUwQxWdAf8HS3BtgVRnbM8R0nZYM857ULOFuFC6qCuhf5
 SKtVMFAnLb76//dnzHwL74vUplPOLg6vSx0Fpq60K4MFuvEkGy1A/7I+IZ2+KwrCdnOA
 Q3nLauooJS0XykzewtWzs3e+jIFA4gwtogh/qZQWJQ8riyLPYwdL3Ly6ak2Hk2Wl3Cxx
 qwLA==
X-Gm-Message-State: APjAAAWyilR8HRwwEWtYxjIzjFCWUZ8CW3QMBa60A+4bekv6J79HzytI
 eIsKU6jtzMG7M85fLE6S8n4=
X-Google-Smtp-Source: APXvYqxFtiEtM9Pv1sVztc/ea9aVq9/bxm/w0y6CyQuwS+3IWSQcBgAfO0rX+ScLA/6vFt9VB4UJ+Q==
X-Received: by 2002:a6b:c382:: with SMTP id
 t124mr21577411iof.105.1569853523034; 
 Mon, 30 Sep 2019 07:25:23 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id v3sm6036085ioh.51.2019.09.30.07.25.21
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 30 Sep 2019 07:25:22 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#37556: gpg "-unknown" version string
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN> <837e5qdzim.fsf@HIDDEN>
 <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
Date: Mon, 30 Sep 2019 10:25:22 -0400
In-Reply-To: <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
 (Juanma Barranquero's message of "Mon, 30 Sep 2019 09:49:06 +0200")
Message-ID: <85imp9kgj1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: 37556 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juanma Barranquero <lekktu@HIDDEN> writes:

>> If this is somehow related to gpg, maybe we should chop that before
>> we invoke the version-comparison functions, in gpg-related Lisp files
>> only?
>
> Chopping would mean that 2.2.17 and 2.2.17-unknown are equal, but currently
> 2.2.17-unknown (in epg) is less than 2.2.17.

I don't understand why making -unknown equivalent to a lesser version
makes sense.  Shouldn't 2.2.17 and 2.2.17-unknown in fact be equal?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.
Added tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 30 Sep 2019 14:04:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 10:04:15 2019
Received: from localhost ([127.0.0.1]:59981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEwHe-00052H-QZ
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 10:04:15 -0400
Received: from quimby.gnus.org ([80.91.231.51]:53950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iEwHd-000529-HV
 for 37556 <at> debbugs.gnu.org; Mon, 30 Sep 2019 10:04:13 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iEwHZ-0001w4-GK; Mon, 30 Sep 2019 16:04:12 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#37556: gpg "-unknown" version string
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN> <837e5qdzim.fsf@HIDDEN>
 <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
 <83pnjicgso.fsf@HIDDEN>
 <CAAeL0STKW=V515BRtZcdbTX-hyfBAo42fNUErwA4cSXfRxuu9w@HIDDEN>
Date: Mon, 30 Sep 2019 16:04:09 +0200
In-Reply-To: <CAAeL0STKW=V515BRtZcdbTX-hyfBAo42fNUErwA4cSXfRxuu9w@HIDDEN>
 (Juanma Barranquero's message of "Mon, 30 Sep 2019 11:32:47 +0200")
Message-ID: <87r23xdgo6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juanma Barranquero <lekktu@HIDDEN> writes: > On Mon, Sep
 30, 2019 at 10:46 AM Eli Zaretskii <eliz@HIDDEN> wrote: > >> You are saying
 that -unknown is in this case the same as -alpha. > > In fact, Lars gave
 it priority -4, so like a snapshot. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: 37556 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juanma Barranquero <lekktu@HIDDEN> writes:

> On Mon, Sep 30, 2019 at 10:46 AM Eli Zaretskii <eliz@HIDDEN> wrote:
>
>> You are saying that -unknown is in this case the same as -alpha.
>
> In fact, Lars gave it priority -4, so like a snapshot.
>
>> My problem is how to be sure this is the case everywhere where -unknown
>> could be used.
>
> True, but if -unknown is really uncommon, we can deal with the problems as
> they are reported (if ever).

Looking at the code, just keeping this in epg* is really awkward,
because we compare the version strings afterwards (in other contexts)
with version<=, which will then fail.

So I think this patch is needed to fix the epg problem.  But I'm not
confident that it won't change behaviour for other users of these
version functions.

On the other hand, we have been adding to this alist over the years
without anything blowing up (that I know of), so perhaps it is safe-ish?
If it turns out to be a problem, it's easy enough to back out (but then
I don't really know how to fix the original epg problem in a sensible
manner).

diff --git a/lisp/subr.el b/lisp/subr.el
index 45b99a82d2..efe530cd54 100644
--- a/lisp/subr.el
+++ b/lisp/subr.el
@@ -5285,6 +5285,8 @@ version-regexp-alist
     ("^[-._+]$"                                           . -4)
     ;; treat "1.2.3-CVS" as snapshot release
     ("^[-._+ ]?\\(cvs\\|git\\|bzr\\|svn\\|hg\\|darcs\\)$" . -4)
+    ;; treat "-unknown" the same as snapshots.
+    ("^[-._+ ]?unknown$"                                  . -4)
     ("^[-._+ ]?alpha$"                                    . -3)
     ("^[-._+ ]?beta$"                                     . -2)
     ("^[-._+ ]?\\(pre\\|rc\\)$"                           . -1))


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 30 Sep 2019 09:33:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 05:33:31 2019
Received: from localhost ([127.0.0.1]:56954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEs3f-0006QY-Hn
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 05:33:31 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:36856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lekktu@HIDDEN>) id 1iEs3e-0006QL-Cv
 for 37556 <at> debbugs.gnu.org; Mon, 30 Sep 2019 05:33:30 -0400
Received: by mail-qt1-f176.google.com with SMTP id o12so16149042qtf.3
 for <37556 <at> debbugs.gnu.org>; Mon, 30 Sep 2019 02:33:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=t0NvLc08LPu9SMob2wKc/6/6faM2ROjVOAQG0s23I0E=;
 b=tZbiWZSOowO17W9HSRC5jAopVkVEU+0pDeG0O8LTaOU1TcUSHoFlNBSPStqELtfmu7
 PlRZ831caZkzNycvWx47IlOgV3fwwB7qvYRlNvHmnZ/Zz6LX22n7Z+Stlw2klbJq5do5
 mzH2qSghAqcnEdm7gyjwXsLyZ7sOM627FJnzdV4vZ6wYlssYLxl+1Yyu7iurV2CT0eOn
 GdcQT2DQs2utWN27W8HPBo1x/jXvmakWaJNJaXsf8zw1PRGEzC8Avt8tHzFR2dc2DmZe
 QmN8J3yVJPw4JW2nbmbSDCB9V4ntaEBc0JNk2S5Dv5iHPorOw2n6Zw+KhNypB/J3Ylnv
 WdcQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=t0NvLc08LPu9SMob2wKc/6/6faM2ROjVOAQG0s23I0E=;
 b=Aks00mSjGWMFtObVksZRvpiMjmef9BKCgG59xiO9DLgm74NHhB3oKNA3JH9KHANjIB
 BbPNWZ2Idiq7niTVtrFpVBPuttTDjZzOT2fTHi3fefv6qjwMBWV7nBZUebsKqBpuHSVP
 V9XRlYqqXSQfcLubr0f5iC9eoghgAVJaRDHS8YYp9yrZlZeUKvNcDExGOZ3zqtDo/bxA
 LttWUgi4EEUh/fO/FEsXBccOB2VbkMICU4TOoNhEvkZHh63OVIUqq+53v+ott9UiOWiM
 +MEjaAqA5DCL9DotlwDbN54Ka+/1tHgtQi57EgG5OTaE/pvWMGcF1OVsIqTSYe7nA4Qv
 GTZA==
X-Gm-Message-State: APjAAAVmapOzFbbOq9PwLtqPrwm2S4MsEQYhSxDCXNSxtvcbGqJwnqib
 +mioaI33jYcXUUOZmAZdM/sw/esNMcwFPQA/OFU=
X-Google-Smtp-Source: APXvYqyKVBn4jUVmlsE3LnRyqbJM4ska80DpwzJYFU/MDfCjmMrwt7YYWbvG9I9DAcrze8Tlm89Qa32JzAQX/dbYeug=
X-Received: by 2002:ac8:2bca:: with SMTP id n10mr24064012qtn.242.1569836004686; 
 Mon, 30 Sep 2019 02:33:24 -0700 (PDT)
MIME-Version: 1.0
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN> <837e5qdzim.fsf@HIDDEN>
 <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
 <83pnjicgso.fsf@HIDDEN>
In-Reply-To: <83pnjicgso.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 30 Sep 2019 11:32:47 +0200
Message-ID: <CAAeL0STKW=V515BRtZcdbTX-hyfBAo42fNUErwA4cSXfRxuu9w@HIDDEN>
Subject: Re: bug#37556: gpg "-unknown" version string
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000006a3fe70593c1edea"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: 37556 <at> debbugs.gnu.org, Lars Magne Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000006a3fe70593c1edea
Content-Type: text/plain; charset="UTF-8"

On Mon, Sep 30, 2019 at 10:46 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> You are saying that -unknown is in this case the same as -alpha.

In fact, Lars gave it priority -4, so like a snapshot.

> My problem is how to be sure this is the case everywhere where -unknown
> could be used.

True, but if -unknown is really uncommon, we can deal with the problems as
they are reported (if ever).

--0000000000006a3fe70593c1edea
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>On Mon, Sep 30, 2019 at 10:46 AM Eli Zaretskii &lt;<a =
href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br><br><div>&gt; Y=
ou are saying that -unknown is in this case the same as -alpha.</div><div><=
br></div><div>In fact, Lars gave it priority -4, so like a snapshot.</div><=
div><br></div><div>&gt; My problem is how to be sure this is the case every=
where where -unknown<br>&gt; could be used.</div><div><br></div><div>True, =
but if -unknown is really uncommon, we can deal with the problems as they a=
re reported (if ever).</div><div><br></div></div>

--0000000000006a3fe70593c1edea--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 30 Sep 2019 08:46:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 04:46:59 2019
Received: from localhost ([127.0.0.1]:56919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iErKc-0005JZ-SK
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 04:46:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iErKY-0005JK-VI
 for 37556 <at> debbugs.gnu.org; Mon, 30 Sep 2019 04:46:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35595)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iErKT-0005K7-Dt; Mon, 30 Sep 2019 04:46:49 -0400
Received: from [176.228.60.248] (port=4911 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iErKS-0000vE-Ol; Mon, 30 Sep 2019 04:46:49 -0400
Date: Mon, 30 Sep 2019 11:46:47 +0300
Message-Id: <83pnjicgso.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
In-reply-to: <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
 (message from Juanma Barranquero on Mon, 30 Sep 2019 09:49:06 +0200)
Subject: Re: bug#37556: gpg "-unknown" version string
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN> <837e5qdzim.fsf@HIDDEN>
 <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37556
Cc: 37556 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juanma Barranquero <lekktu@HIDDEN>
> Date: Mon, 30 Sep 2019 09:49:06 +0200
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 37556 <at> debbugs.gnu.org
> 
> Chopping would mean that 2.2.17 and 2.2.17-unknown are equal, but currently 2.2.17-unknown (in epg) is less
> than 2.2.17.

You are saying that -unknown is in this case the same as -alpha.  My
problem is how to be sure this is the case everywhere where -unknown
could be used.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 30 Sep 2019 07:49:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 03:49:51 2019
Received: from localhost ([127.0.0.1]:56820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEqRL-00064Q-3b
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 03:49:51 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:38231)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lekktu@HIDDEN>) id 1iEqRJ-00064B-E6
 for 37556 <at> debbugs.gnu.org; Mon, 30 Sep 2019 03:49:49 -0400
Received: by mail-qt1-f176.google.com with SMTP id j31so15840623qta.5
 for <37556 <at> debbugs.gnu.org>; Mon, 30 Sep 2019 00:49:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=bDq2sO2Sl9atQFCW9eCldc1aZ/PyPM+ivDb5bToDWas=;
 b=twiFM6Vei5Mv251HzyZ3gZhXsMrJiu9FuIEBE7etIR8hhPtYqZHga59RektCWVZjIZ
 820Rqeh9QF76PwNkeTF96eJ8N2odTiUntgMkFS0ylVhnuFa8Mgv5qHybwtmz7e0AIG41
 XpJZ9A61D5xAbwEu/dsslYNwMpgzMpnSncs9ziUc2n9Lv6VDSAAKGP5v4tR3GkpOqQ0A
 5WtLYufBcwR7RZyTniu214xptFsg14mKim/HvtWTYPAAYY9SzdYt/6kyw0mzXblSqt8w
 owu5lxI+QK5Z35WQUBQQ/xMQRkrH5L5CMweKHBKDvovIcHlokIUkQ6SqDJepEyln3rz0
 EveA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=bDq2sO2Sl9atQFCW9eCldc1aZ/PyPM+ivDb5bToDWas=;
 b=EtzMdSuQIyaBIptwYo+vsaI0qDtmNXGp/+pNyyneUfQ+xLcMDekf0ulZ1Y45ztag0S
 b6qJPvUfYpRy+17l1wkv1jMjdKYeb32KMAxrwCBljlKL8BJsLjbNJ232t/+Fd1QLsYE9
 ZjEpRBWC5BjGldQ73bTg7GOA3LIeQQ8oOFWfrT0zLz9WEWHftEGbD8LNG4/v+MBMXBab
 TcKbFCGRUu/jt9d/YHTms2e6f3EQihaAVP7WUV1FiKHGNX0JYRW642B0QkrJNt92oshC
 F9o7U3xbYRgxb3Q4V9u87KHuAde5cD2cYVifnCBPTcJtXE0K9JU6ZHs59CE+gkX8FXoq
 k6CA==
X-Gm-Message-State: APjAAAWluqSphcEUm7uGkMDdesmIYKOqa/7bQe9BImXkFb0Hpk3YeWbh
 MqrYECtQvoFfYbUIp9z4TECv94dTV9+kBYkXVZM=
X-Google-Smtp-Source: APXvYqxMi2SusF+oLJo1+ZDIe26yznagO3xonREZaCuPvsaj/kyjRkHaHzs89gS/ilYqCqkCDD0t+GcMcrKm6q7otAc=
X-Received: by 2002:ac8:6611:: with SMTP id c17mr23487893qtp.17.1569829783702; 
 Mon, 30 Sep 2019 00:49:43 -0700 (PDT)
MIME-Version: 1.0
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN> <837e5qdzim.fsf@HIDDEN>
In-Reply-To: <837e5qdzim.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 30 Sep 2019 09:49:06 +0200
Message-ID: <CAAeL0SSUnxN2aJUHDDMjLZwjLU1d81C9cMbk4o-urR1rqyvx=g@HIDDEN>
Subject: Re: bug#37556: gpg "-unknown" version string
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000009d92af0593c07a77"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: 37556 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000009d92af0593c07a77
Content-Type: text/plain; charset="UTF-8"

On Mon, Sep 30, 2019 at 9:17 AM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> "-unknown" is unusual in version strings, IME.

Yes, but, why would that be a problem? It's not like we're going to find a
lot of strings 1.2.3-unknown that aren't really version numbers, are we?

> If this is somehow
> related to gpg, maybe we should chop that before we invoke the
> version-comparison functions, in gpg-related Lisp files only?

Chopping would mean that 2.2.17 and 2.2.17-unknown are equal, but currently
2.2.17-unknown (in epg) is less than 2.2.17.

Certainly the problem can be fixed by wrapping more code with (let
((version-regexp-alist (cons ...)) ...). It's just that it seems a bit
kludgy to me. But whatever, not really a big issue.

--0000000000009d92af0593c07a77
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">On Mon, Sep 30, 2019 at 9:17 AM Eli Zaretskii &lt;<a href=
=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br>&gt;<br>&gt; &quot;=
-unknown&quot; is unusual in version strings, IME.=C2=A0<div><br></div><div=
>Yes, but, why would that be a problem? It&#39;s not like we&#39;re going t=
o find a lot of strings 1.2.3-unknown that aren&#39;t really version number=
s, are we?</div><div><br></div><div>&gt; If this is somehow<br>&gt; related=
 to gpg, maybe we should chop that before we invoke the<br>&gt; version-com=
parison functions, in gpg-related Lisp files only?</div><div><br></div><div=
>Chopping would mean that 2.2.17 and 2.2.17-unknown are equal, but currentl=
y 2.2.17-unknown (in epg) is less than 2.2.17.</div><div><br></div><div>Cer=
tainly the problem can be fixed by wrapping more code with (let ((version-r=
egexp-alist (cons ...)) ...). It&#39;s just that it seems a bit kludgy to m=
e. But whatever, not really a big issue.</div><div><br></div><div><br></div=
></div>

--0000000000009d92af0593c07a77--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 30 Sep 2019 07:17:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 03:17:14 2019
Received: from localhost ([127.0.0.1]:56700 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEpvm-0000lJ-88
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 03:17:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60917)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iEpvl-0000h6-DS
 for 37556 <at> debbugs.gnu.org; Mon, 30 Sep 2019 03:17:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34081)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iEpvg-000322-9V; Mon, 30 Sep 2019 03:17:08 -0400
Received: from [176.228.60.248] (port=3335 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iEpvf-0005QA-ON; Mon, 30 Sep 2019 03:17:08 -0400
Date: Mon, 30 Sep 2019 10:17:05 +0300
Message-Id: <837e5qdzim.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87sgoel53e.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 30 Sep 2019 07:34:45 +0200)
Subject: Re: bug#37556: gpg "-unknown" version string
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 <87sgoel53e.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37556
Cc: lekktu@HIDDEN, 37556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 30 Sep 2019 07:34:45 +0200
> Cc: 37556 <at> debbugs.gnu.org
> 
> Juanma Barranquero <lekktu@HIDDEN> writes:
> 
> > I think it makes more sense just adding "-unknown" to the formats
> > recognized by default with version-regexp-alist.
> 
> Hm...  I guess that would make sense, but might there be other
> ramifications?  All callers to version-to-list may get other data back
> than they are used to?

"-unknown" is unusual in version strings, IME.  If this is somehow
related to gpg, maybe we should chop that before we invoke the
version-comparison functions, in gpg-related Lisp files only?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at 37556 <at> debbugs.gnu.org:


Received: (at 37556) by debbugs.gnu.org; 30 Sep 2019 05:34:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 01:34:50 2019
Received: from localhost ([127.0.0.1]:56550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEoKg-0006LT-De
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 01:34:50 -0400
Received: from quimby.gnus.org ([80.91.231.51]:43716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iEoKe-0006LK-QQ
 for 37556 <at> debbugs.gnu.org; Mon, 30 Sep 2019 01:34:49 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iEoKb-0003P2-IT; Mon, 30 Sep 2019 07:34:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#37556: gpg "-unknown" version string
References: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
Date: Mon, 30 Sep 2019 07:34:45 +0200
In-Reply-To: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
 (Juanma Barranquero's message of "Mon, 30 Sep 2019 00:59:18 +0200")
Message-ID: <87sgoel53e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juanma Barranquero <lekktu@HIDDEN> writes: > I think it
 makes more sense just adding "-unknown" to the formats > recognized by default
 with version-regexp-alist. Hm... I guess that would make sense, but might
 there be other ramifications? All callers to version-to-list may get other
 data back than they are used to? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37556
Cc: 37556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juanma Barranquero <lekktu@HIDDEN> writes:

> I think it makes more sense just adding "-unknown" to the formats
> recognized by default with version-regexp-alist.

Hm...  I guess that would make sense, but might there be other
ramifications?  All callers to version-to-list may get other data back
than they are used to?

I don't know much about how that function is used in general, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2019 23:00:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 19:00:01 2019
Received: from localhost ([127.0.0.1]:56080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEiAb-0005tJ-51
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 19:00:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:44672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lekktu@HIDDEN>) id 1iEiAY-0005tA-PC
 for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 18:59:59 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39690)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <lekktu@HIDDEN>) id 1iEiAX-0005Bw-3X
 for bug-gnu-emacs@HIDDEN; Sun, 29 Sep 2019 18:59:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lekktu@HIDDEN>) id 1iEiAV-00076p-Iz
 for bug-gnu-emacs@HIDDEN; Sun, 29 Sep 2019 18:59:56 -0400
Received: from mail-qt1-x82c.google.com ([2607:f8b0:4864:20::82c]:33252)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <lekktu@HIDDEN>) id 1iEiAV-00076Z-Av
 for bug-gnu-emacs@HIDDEN; Sun, 29 Sep 2019 18:59:55 -0400
Received: by mail-qt1-x82c.google.com with SMTP id r5so14650040qtd.0
 for <bug-gnu-emacs@HIDDEN>; Sun, 29 Sep 2019 15:59:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=rzKS8IYmlTv9CuQWD39f5QzGEcpz13+gSspwi3lKKI8=;
 b=Q6Gv/nbcJ7OVio8ly1w3LVspvWdfO2dbet/PkW0LCHCAR7ca4p38MSkf2f+7n3Kqpw
 BcN1D7kBH8OgsCftO6RW7Nmv/ncDvju+pfgWH1JgPdmNKIl3o1o82bECRsNBO8njX9iz
 VX9AQwMY547vXI5EozZbDOK8IiiYuqu2yid5r5wb8Qkn/YhiZX4HsIYPWWcMCXxFMtSJ
 0C5hnz3NunxBryxwcRqJ7gO9Kvgt8oPAk83sT47k44LXEnQSK9+g7fnbmVeGJIRfimCK
 7LC3YA1mxIcpE2kbuqUM1k5JUMqpm6s2bEYOgJvsSID8PDMC4n4fESOYMWS+tI08pgCr
 SIuw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=rzKS8IYmlTv9CuQWD39f5QzGEcpz13+gSspwi3lKKI8=;
 b=iANg/UCg1GxwFp37uNew7rZ5WTPLqm0I8UsR4JEVDM9bPneAhyHx3nmIiV4Ye+ReWn
 Hnp4tMhwwwkEuHKwSd/MrIxCQvwjYzTnZmlaliWqll9vvttwJuMchoYyBX1MPzk/Wy3d
 lEo6/p1NcxefPXzGcZY1N06x0qH5xB4nx4Da6DDl4TMsghWI9IvX86oBI/CWWCvuq2UG
 8qAuoYsLKMuZ9zRW+NuHaMabKGSlAAtoVsBavoeDBSzc7Og0ox2wv8oM60QetGNT79xM
 jJfvY6+trRqbZZGf92fTBUTOD+ETbbRK8dQvi7OrGjhgPejNYtWosHgyX+X03RqCxFDc
 SbnQ==
X-Gm-Message-State: APjAAAWRl8JsIRF51VCQRZgGL4Fg3dBiwZc6f7E28shH0IUeXq9cJqFD
 Q8r+QnVrrhDkYCBOUYGXrF+rvtl+3Dcfqnedr6odrzob
X-Google-Smtp-Source: APXvYqyQ5NUevdHvtPaUc5EtKeI/XiFmtBjTy7v3ql4JE63meUtfnLZ58U1RYRCqwY3ON75bWNonUY/jwlOxWTnTVhM=
X-Received: by 2002:a05:6214:70c:: with SMTP id
 b12mr18004819qvz.87.1569797994247; 
 Sun, 29 Sep 2019 15:59:54 -0700 (PDT)
MIME-Version: 1.0
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 30 Sep 2019 00:59:18 +0200
Message-ID: <CAAeL0SRY5mV6WqheoqYytLRv1=sgSVFaOMgmdS3TO5OGg49G6Q@HIDDEN>
Subject: gpg "-unknown" version string
To: Bug-Gnu-Emacs <bug-gnu-emacs@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000d0f9fc0593b913cc"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::82c
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000d0f9fc0593b913cc
Content-Type: text/plain; charset="UTF-8"

Package: emacs
Version: 27.0.50
X-Debbugs-Cc: larsi@HIDDEN



This is related to bug# 35629.

This commit

   commit 42ba6200af10c00c72ac13912d6fb42a7af88058
   Author: Lars Ingebrigtsen <larsi@HIDDEN>
   Date:   2019-08-26 08:02:31 +0200

       Allow finding gpg2 binaries when gpg2 has an "unknown" version string

       * lisp/epg-config.el (epg-find-configuration): Allow finding a
       usable configuration even if the version string looks like "gpg
       (GnuPG) 2.2.15-unknown" (bug#35629).

fixes one function, but there are other uses of version-related functions
in epg, for example

(defun epg-required-version-p (protocol required-version)
  "Verify a sufficient version of GnuPG for specific protocol.
PROTOCOL is symbol, either `OpenPGP' or `CMS'.  REQUIRED-VERSION
is a string containing the required version number.  Return
non-nil if that version or higher is installed."
  (let ((version (cdr (assq 'version (epg-find-configuration protocol)))))
    (and (stringp version)
         (version<= required-version version))))

which calls epg-find-configuration (which is protected by the above
change), and then version<= (which fails).

This makes epg-tests.el fail on my gpg, from MSYS2:

$ gpg --version
gpg (GnuPG) 2.2.17-unknown
libgcrypt 1.8.4

Fixing this with another let binding around `version<=' is trivial, but it
is a kludge.

I think it makes more sense just adding "-unknown" to the formats
recognized by default with version-regexp-alist.

(Note: after working around this bug, epg tests still fail for me, but for
unrelated reasons.)

--000000000000d0f9fc0593b913cc
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Package: emacs</div><div>Version: 27.0.50</div><div>X=
-Debbugs-Cc:=C2=A0<a href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a></div=
><div><br></div><div><br></div><div><br></div>This is related to bug# 35629=
.<br><br>This commit<br><br>=C2=A0 =C2=A0commit 42ba6200af10c00c72ac13912d6=
fb42a7af88058<br>=C2=A0 =C2=A0Author: Lars Ingebrigtsen &lt;<a href=3D"mail=
to:larsi@HIDDEN">larsi@HIDDEN</a>&gt;<br>=C2=A0 =C2=A0Date: =C2=A0 2019=
-08-26 08:02:31 +0200<br><br>=C2=A0 =C2=A0 =C2=A0 =C2=A0Allow finding gpg2 =
binaries when gpg2 has an &quot;unknown&quot; version string<br><br>=C2=A0 =
=C2=A0 =C2=A0 =C2=A0* lisp/epg-config.el (epg-find-configuration): Allow fi=
nding a<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0usable configuration even if the vers=
ion string looks like &quot;gpg<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0(GnuPG) 2.2.1=
5-unknown&quot; (bug#35629).<br><br>fixes one function, but there are other=
 uses of version-related functions in epg, for example<div><br></div><div>(=
defun epg-required-version-p (protocol required-version)<br>=C2=A0 &quot;Ve=
rify a sufficient version of GnuPG for specific protocol.<br>PROTOCOL is sy=
mbol, either `OpenPGP&#39; or `CMS&#39;.=C2=A0 REQUIRED-VERSION<br>is a str=
ing containing the required version number.=C2=A0 Return<br>non-nil if that=
 version or higher is installed.&quot;<br>=C2=A0 (let ((version (cdr (assq =
&#39;version (epg-find-configuration protocol)))))<br>=C2=A0 =C2=A0 (and (s=
tringp version)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0(version&lt;=3D requir=
ed-version version))))<br></div><div><br></div><div>which calls epg-find-co=
nfiguration (which is protected by the above change), and then version&lt;=
=3D (which fails).</div><div><br></div><div>This makes epg-tests.el fail on=
 my gpg, from MSYS2:</div><div><br></div><div>$ gpg --version<br>gpg (GnuPG=
) 2.2.17-unknown<br>libgcrypt 1.8.4<br></div><div><br></div><div>Fixing thi=
s with another let binding around `version&lt;=3D&#39; is trivial, but it i=
s a kludge.</div><div><br></div><div>I think it makes more sense just addin=
g &quot;-unknown&quot; to the formats recognized by default with version-re=
gexp-alist.</div><div><br></div><div>(Note: after working around this bug, =
epg tests still fail for me, but for unrelated reasons.)</div><div><br></di=
v></div>

--000000000000d0f9fc0593b913cc--




Acknowledgement sent to Juanma Barranquero <lekktu@HIDDEN>:
New bug report received and forwarded. Copy sent to larsi@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to larsi@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#37556; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 13 Oct 2019 03:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.